Subject: Re: bug#22300: 25.1.50; Dired -- renaming folders/files to CamelCase/UPPERCASE/lowercase.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Jan 2016 21:12:54 +0200

> Date:  Mon, 04 Jan 2016 09:41:15 -0800
> From:  Keith David Bershatsky <[email-masked]>
> Cc:  [email-masked]
> 
> The first available option used by "Disk Utility.app" is "Mac OS Extended (Journaled)".  I believe that is the format that comes shipped with new computers from Apple.  Other formats listed in the drop-down menu in Disk Utility are:  "Mac OS Extended"; "Mac OS Extended (Case-sensitive, Journaled)"; "Mac OS Extended (Case-sensitive)"; and two non-OSX options:  "MS-DOS (FAT)" and "ExFAT".
> 
> Some people probably use the Case-sensitive options for custom setups; however, I have no knowledge/experience in that regard.

Sorry, I know nothing about OS X -- how is "Disk Utility.app" related
to the issue at hand?

And if you are saying that some filesystems are case-insensitive, but
others aren't, we will need a function to tell whether a filesystem to
which the original file belongs is case-insensitive or not.

Thanks.